at.chipkarte.client.abs.soap

## Class BewilligungsAnfrage

- Object
- - at.chipkarte.client.abs.soap.BewilligungsAnfrage

-     public class BewilligungsAnfrage
      extends Object

  Enthält die Daten einer Bewilligungsanfrage im Sinne des Arzneimittelbewilligungsservice.

  Optionale Felder dürfen den Wert `null` oder, im Fall von Strings, einen Leerstring zurückliefern. Pflichtfelder dürfen weder `null` noch einen Leerstring zurückliefern. Felder, die nicht explizit als optional gekennzeichnet sind, sind Pflichtfelder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BewilligungsAnfrage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAntragstyp()` Die Kennzeichnung der Bewilligungsanfrage (Bewilligungsanfrage im Rahmen einer Rezeptausstellung beziehungsweise Arztbrieferstellung).
    `PatientenDaten` | `getPatientenDaten()` Die Daten des Patienten für den die Bewilligungsanfrage gestellt wird.
    `String` | `getVerordnerinformation()` Freies Textfeld um den Namen beziehungsweise die Telefonnummer des Verordners zu übergeben.
    `Verordnung[]` | `getVerordnungen()` Die Verordnungen die beantragt werden (maximal 10).
    `void` | `setAntragstyp(String antragstyp)`
    `void` | `setPatientenDaten(PatientenDaten patientenDaten)`
    `void` | `setVerordnerinformation(String verordnerinformation)`
    `void` | `setVerordnungen(Verordnung[] verordnungen)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BewilligungsAnfrage

          public BewilligungsAnfrage()

  - ### Method Detail

    - #### getAntragstyp

          public String getAntragstyp()

      Die Kennzeichnung der Bewilligungsanfrage (Bewilligungsanfrage im Rahmen einer Rezeptausstellung beziehungsweise Arztbrieferstellung).
      Wertebereich: siehe `Antragstyp`.
      Angabe: Muss
      Returns:
        Antragstyp

    - #### getPatientenDaten

          public PatientenDaten getPatientenDaten()

      Die Daten des Patienten für den die Bewilligungsanfrage gestellt wird.
      Angabe: Muss
      Returns:
        Patientendaten

    - #### getVerordnerinformation

          public String getVerordnerinformation()

      Freies Textfeld um den Namen beziehungsweise die Telefonnummer des Verordners zu übergeben.
      z.B.: für Rückfragen in Krankenanstalten
      Angabe: Kann
      Format: maximal 150-stellig
      Returns:
        Verordnerinformation

    - #### getVerordnungen

          public Verordnung[] getVerordnungen()

      Die Verordnungen die beantragt werden (maximal 10).
      Angabe: Muss
      Returns:
        Objekt vom Typ Verordnung[] - Array von Verordnungen

    - #### setAntragstyp

          public void setAntragstyp(String antragstyp)

    - #### setPatientenDaten

          public void setPatientenDaten(PatientenDaten patientenDaten)

    - #### setVerordnerinformation

          public void setVerordnerinformation(String verordnerinformation)

    - #### setVerordnungen

          public void setVerordnungen(Verordnung[] verordnungen)